Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class UserInfo

    java.lang.Object
      com.tibco.tibjms.admin.PrincipalInfo
          com.tibco.tibjms.admin.UserInfo

    public class UserInfo

extends PrincipalInfo

This class represents a user on the Tibjms server. A user can be a principal in access control.

Constructor Summary
`UserInfo(java.lang.String userName)` Public constructor to create a UserInfo with no description.
`UserInfo(java.lang.String userName, java.lang.String description)` Public constructor to create a UserInfo.

Method Summary
`void` | `setPassword(java.lang.String password)` Set the password for this user.
`java.lang.String` | `toString()` Generate a string representation of this UserInfo.

Methods inherited from class com.tibco.tibjms.admin.PrincipalInfo
`getDescription, getName, isExternal, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo(java.lang.String userName,
                    java.lang.String description)

  Public constructor to create a UserInfo. The user will not be created on the server until the UserInfo is passed to TibjmsAdmin.createUser().

  Parameters:
    `userName` - The name of the new user.
    `description` - The description for the new user.

### UserInfo

    public UserInfo(java.lang.String userName)

  Public constructor to create a UserInfo with no description. The user will not be created on the server until the UserInfo is passed to TibjmsAdmin.createUser().

  Parameters:
    `userName` - The name of the new user.

Method Detail

### setPassword

    public void setPassword(java.lang.String password)
                     throws TibjmsAdminException

  Set the password for this user. The user must be saved with a call to TibjmsAdmin.updateUser() before the change will take effect on the server. It is an error to attempt to set the password of an external user.

  Parameters:
    `password` - The new password for this user.
  Throws:
    `TibjmsAdminException` - if the user is external.

### toString

    public java.lang.String toString()

  Generate a string representation of this UserInfo.

  Overrides:
    `toString` in class `PrincipalInfo`
  Returns:
    a string representation of this UserInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved